Subject: Small bugfix - installment 3

From: Eugene Crosser <[email-masked]>
Date: 16 Oct 2002 19:26:35 +0400

smtp TA is the only thing that uses LOG_ERR priority.  In my (not so
humble) opinion, it does it in wrong circumstances.  "Nameserver data
inconsistency" is beyond the MTA administrator's control, [s]he cannot
do anything useful about it, so why be so intrusive?  On Solaris,
LOG_ERR *always* goes to the console.  If your console is a 9600 bps
serial terminal (think a box in a datacenter), and the traffic is high,
it results in syslogd problems, not to mention that console becomes
unusable.

--- transports/smtp/smtp.c      2002/09/23 09:17:54     1.275
+++ transports/smtp/smtp.c      2002/10/16 14:50:12
@@ -2610,7 +2610,7 @@
                  sprintf(SS->remotemsg,
                          "smtp; 500 (nameserver data inconsistency. All
MXes re
jected [we are the best?], no address: '%.200s')", host);
 #if 1
-                 zsyslog((LOG_ERR, "%s", SS->remotemsg));
+                 zsyslog((LOG_NOTICE, "%s", SS->remotemsg));
                  if (r != EX_TEMPFAIL)
                    r = EX_NOHOST;
 #endif
@@ -2618,7 +2618,7 @@
                  sprintf(SS->remotemsg,
                          "smtp; 500 (nameserver data inconsistency. No
MX, no a
ddress: '%.200s' (%s))",
                          host, gai_err == EAI_NONAME ? "NONAME" :
"NODATA");
-                 zsyslog((LOG_ERR, "%s r=%d", SS->remotemsg, r));
+                 zsyslog((LOG_NOTICE, "%s r=%d", SS->remotemsg, r));
 #if 0
                  if (r != EX_TEMPFAIL)
                    r = EX_NOHOST; /* Can do instant reject */
@@ -2630,7 +2630,7 @@
                          "smtp; 500 (nameserver data inconsistency. No
MX, no a
ddress: '%.200s', errno=%s, gai_errno='%s')",
                          host, strerror(errno), gai_strerror(gai_err));
 #if 1
-                 zsyslog((LOG_ERR, "%s", SS->remotemsg));
+                 zsyslog((LOG_NOTICE, "%s", SS->remotemsg));
                  r = EX_TEMPFAIL; /* This gives delayed rejection
(after a time
out) */
 #endif
                }

-
To unsubscribe from this list: send the line "unsubscribe zmailer" in
the body of a message to [email-masked]